This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 817492 - SELinux is preventing mount from 'execute_no_trans' accesses on the fichier /opt/VBoxGuestAdditions-4.1.12/lib/VBoxGuestAdditions/mount.vboxsf.
SELinux is preventing mount from 'execute_no_trans' accesses on the fichier /...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
16
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:0f4e1dd2995212a2d05c10a4fd5...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-30 05:19 EDT by John Mev
Modified: 2012-06-23 02:58 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-23 02:58:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Mev 2012-04-30 05:19:40 EDT
libreport version: 2.0.8
executable:     /usr/bin/python
hashmarkername: setroubleshoot
kernel:         3.3.2-6.fc16.i686
reason:         SELinux is preventing mount from 'execute_no_trans' accesses on the fichier /opt/VBoxGuestAdditions-4.1.12/lib/VBoxGuestAdditions/mount.vboxsf.
time:           lun. 30 avril 2012 11:18:30 CEST

description:
:SELinux is preventing mount from 'execute_no_trans' accesses on the fichier /opt/VBoxGuestAdditions-4.1.12/lib/VBoxGuestAdditions/mount.vboxsf.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that mount should be allowed execute_no_trans access on the mount.vboxsf file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep mount /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:mount_t:s0
:Target Context                system_u:object_r:lib_t:s0
:Target Objects                /opt/VBoxGuestAdditions-4.1.12/lib/VBoxGuestAdditi
:                              ons/mount.vboxsf [ file ]
:Source                        mount
:Source Path                   mount
:Port                          <Inconnu>
:Host                          (removed)
:Source RPM Packages           
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-84.fc16.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Permissive
:Host Name                     (removed)
:Platform                      Linux (removed)
:                              3.3.2-6.fc16.i686 #1 SMP Sat Apr 21 13:23:12 UTC
:                              2012 i686 i686
:Alert Count                   1
:First Seen                    lun. 30 avril 2012 11:16:10 CEST
:Last Seen                     lun. 30 avril 2012 11:16:10 CEST
:Local ID                      e9c1a766-2bb0-4599-b281-380a5d7e8c7e
:
:Raw Audit Messages
:type=AVC msg=audit(1335777370.660:70): avc:  denied  { execute_no_trans } for  pid=2292 comm="mount" path="/opt/VBoxGuestAdditions-4.1.12/lib/VBoxGuestAdditions/mount.vboxsf" dev="sda1" ino=469931 scontext=system_u:system_r:mount_t:s0 tcontext=system_u:object_r:lib_t:s0 tclass=file
:
:
:Hash: mount,mount_t,lib_t,file,execute_no_trans
:
:audit2allow
:
:#============= mount_t ==============
:allow mount_t lib_t:file execute_no_trans;
:
:audit2allow -R
:
:#============= mount_t ==============
:allow mount_t lib_t:file execute_no_trans;
:
Comment 1 Daniel Walsh 2012-04-30 16:15:28 EDT
chcon -t bin_t /opt/VBoxGuestAdditions-4.1.12/lib/VBoxGuestAdditions/mount.vboxsf

Will fix, what kind of content is in this directory?

ls -l /opt/VBoxGuestAdditions-4.1.12/lib/VBoxGuestAdditions/
Comment 2 John Mev 2012-06-23 02:58:06 EDT
The issue solved by itself. Thanks

Note You need to log in before you can comment on or make changes to this bug.